com.aliyun.svideosdk.editor

## Interface AliyunISteamController

- All Known Subinterfaces:
    AliyunIPipController

      public interface AliyunISteamController

  流控制类（私有，不公开）

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `apply()` 应用变化结果
    `AliyunIAnimationController` | `getAnimationController()` 获取动画控制器
    `AliyunIAudioController` | `getAudioController()` 获取音频调节控制器
    `AliyunIAugmentationController` | `getAugmentationController()` 获取画面增强参数控制器
    `long` | `getClipDurationInMillis()` 获取流的时长
    `long` | `getClipStartTimeInMillis()` 获取流的开始时间
    `int` | `getHeight()` 获取画中画流的高度
    `AliyunILayoutController` | `getLayoutController()` 获取布局控制器
    `java.lang.String` | `getPath()` 获取流的路径
    `int` | `getStreamId()` 获取流的ID
    `long` | `getTimeLineEndTimeInMillis()` 获取在时间轴的结束时间
    `long` | `getTimeLineStartTimeInMillis()` 获取在时间轴的开始时间
    `int` | `getWidth()` 获取画中画流的宽度
    `AliyunISteamController` | `setBorderColor(int value)` 设置边框颜色
    `AliyunISteamController` | `setBorderCornerRadius(float value)` 设置圆角边框
    `AliyunISteamController` | `setBorderWidth(float value)` 设置边框宽度
    `AliyunISteamController` | `setClipEndTime(long endTime, java.util.concurrent.TimeUnit timeUnit)` 设置播放结束时间，超过主流长度会截断
    `AliyunISteamController` | `setClipStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置开始时间
    `AliyunISteamController` | `setHorizontalFlip(boolean flip)` 设置水平镜像翻转
    `AliyunISteamController` | `setTimelineStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置在时间轴上的开始时间

- - ### Method Detail

    - #### setClipStartTime

          AliyunISteamController setClipStartTime(long startTime,
                                                  java.util.concurrent.TimeUnit timeUnit)

      设置开始时间
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位

    - #### setClipEndTime

          AliyunISteamController setClipEndTime(long endTime,
                                                java.util.concurrent.TimeUnit timeUnit)

      设置播放结束时间，超过主流长度会截断
      Parameters:
        `endTime` -
        `timeUnit` - 时间单位

    - #### setTimelineStartTime

          AliyunISteamController setTimelineStartTime(long startTime,
                                                      java.util.concurrent.TimeUnit timeUnit)

      设置在时间轴上的开始时间
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位

    - #### setBorderColor

          AliyunISteamController setBorderColor(int value)

      设置边框颜色
      Parameters:
        `value` -

    - #### setBorderWidth

          AliyunISteamController setBorderWidth(float value)

      设置边框宽度
      Parameters:
        `value` -
      Returns:

    - #### setBorderCornerRadius

          AliyunISteamController setBorderCornerRadius(float value)

      设置圆角边框
      Parameters:
        `value` -
      Returns:

    - #### setHorizontalFlip

          AliyunISteamController setHorizontalFlip(boolean flip)

      设置水平镜像翻转
      Parameters:
        `flip` - 是否水平翻转
      Returns:

    - #### getAugmentationController

          AliyunIAugmentationController getAugmentationController()

      获取画面增强参数控制器
      Returns:
        see `AliyunIAugmentationController`

    - #### getAudioController

          AliyunIAudioController getAudioController()

      获取音频调节控制器
      Returns:
        `AliyunIAudioController`

    - #### getLayoutController

          AliyunILayoutController getLayoutController()

      获取布局控制器
      Returns:

    - #### getAnimationController

          AliyunIAnimationController getAnimationController()

      获取动画控制器
      Returns:

    - #### apply

          int apply()

      应用变化结果

    - #### getStreamId

          int getStreamId()

      获取流的ID

    - #### getPath

          java.lang.String getPath()

      获取流的路径

    - #### getWidth

          int getWidth()

      获取画中画流的宽度

    - #### getHeight

          int getHeight()

      获取画中画流的高度

    - #### getClipStartTimeInMillis

          long getClipStartTimeInMillis()

      获取流的开始时间
      Returns:
        毫秒（ms）

    - #### getClipDurationInMillis

          long getClipDurationInMillis()

      获取流的时长
      Returns:
        微秒（μs）

    - #### getTimeLineStartTimeInMillis

          long getTimeLineStartTimeInMillis()

      获取在时间轴的开始时间
      Returns:
        毫秒（ms）

    - #### getTimeLineEndTimeInMillis

          long getTimeLineEndTimeInMillis()

      获取在时间轴的结束时间
      Returns:
        毫秒（ms）